package _02_作业;

import java.util.Scanner;

public class Test {
    public static void main(String[] args) {
        /**
         * 2019年1月1日起，国家推出新的个人所得税政策，
         * 起征点上调值5000元。也就是说税前工资扣除三险一金
         * （三险一金数额假设是税前工资的10%）后如果不足5000元，则不交税。如果大于5000元，那么大于5000元的部分按梯度交税，具体梯度比例如下：
         *
         * 求纳税金额和税后工资
         */
        // 1 创建一个Scanner 类录入一个工资
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入工资");
        double beforeMoney = scanner.nextDouble();
        // 2 计算出来扣除5险一斤 以及起征点5000 的钱
        double money = beforeMoney - (beforeMoney * 0.1) - 5000;
        // 如果money <=0  说名工资小于5000 不需要交纳税
        if(money <0 ){
            System.out.println("不需要交税 工资小于5000");
            // 当执行到这里程序就结束了
            return;
        }
        // 3 判断剩余钱 究竟在哪一个区间
        double tax = 0;
        if(money >0 && money <= 3000){
            tax = money * 0.03;
        }else if(money > 3000 && money <= 12000){
            tax = 3000 * 0.03 + (money - 3000) * 0.1;
        }else if(money > 12000 && money <= 25000){
            tax = 3000 * 0.03 + 9000 * 0.1 + (money - 12000) * 0.2;
        }else if(money > 25000 && money <= 35000){
            tax = 3000 * 0.03 + 9000 * 0.1 + 13000 * 0.2 + (money - 25000) * 0.25;
        }else if(money > 35000 && money <= 55000){
            tax = 3000 * 0.03 + 9000 * 0.1 + 13000 * 0.2 + 10000 * 0.25 + (money - 35000) * 0.3;
        }else if(money > 55000 && money <= 80000){
            tax = 3000 * 0.03 + 9000 * 0.1 + 13000 * 0.2 + 10000 * 0.25 + 20000 * 0.3 + (money - 55000) * 0.35;
        }else if(money > 80000 ){
            tax = 3000 * 0.03 + 9000 * 0.1 + 13000 * 0.2 + 10000 * 0.25 + 20000 * 0.3 + 25000 * 0.35 + (money - 80000) * 0.45;
        }

        System.out.println("税为:"+ tax);
        System.out.println("税后工资:"+ (beforeMoney - (beforeMoney * 0.1) - tax));


    }
}
